searchData={"items":[{"type":"module","title":"LoggerBinary","doc":"A custom `Logger` formatter for handling binary data.\n\nThis formatter is designed to correctly format binary messages. It converts\nnon-printable binary data into a hexadecimal string representation and can\noptionally add a directional indicator (`\"< \"` or `\"> \"`) when needed.","ref":"LoggerBinary.html"},{"type":"module","title":"Features - LoggerBinary","doc":"* Formats binary messages as uppercase hexadecimal strings.\n  * Prepends formatted binary messages with a directional indicator if the `:direction`\n    metadata is present. Supported values for the `:direction` metadata are `:in` and `:out`.\n  * Uses the default Logger format for all other types of messages (e.g., printable strings and charlists).","ref":"LoggerBinary.html#module-features"},{"type":"module","title":"Direction Indicator - LoggerBinary","doc":"You can add the `:direction` metadata to your log messages to indicate if the\nbinary data is an incoming or outgoing message:\n\n    Logger.debug(<<0x01, 0x02, 0x03>>, direction: :in)\n    # Logs: \"[debug] < 01 02 03\"\n\n    Logger.debug(<<0x01, 0x02, 0x03>>, direction: :out)\n    # Logs: \"[debug] > 01 02 03\"\n\nWithout directional metadata, it simply logs the formatted binary:\n\n    Logger.debug(<<0x01, 0x02, 0x03>>)\n    # Logs: \"[debug] 01 02 03\"","ref":"LoggerBinary.html#module-direction-indicator"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.36.1"}}